Results 1 to 6 of 6

Thread: Qt 4.7 installation problems

  1. #1
    Join Date
    Sep 2017
    Posts
    7
    Thanks
    2
    Qt products
    Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows

    Default Qt 4.7 installation problems

    Hey guys, so here's the thing: i downloaded the Qt 4.7 tar and i'm installing on ubuntu 16. I unzip the downloaded folder and installed all libs that were preventing me to run the ./configure
    After i could run the configure, the make runs but get an error at some point. Here's what i get when i run 'make configure' or 'make':

    Screenshot from 2017-09-26 06-03-53.jpg

    I really appreciate the attention, Ty .

  2. #2
    Join Date
    Dec 2016
    Posts
    16
    Thanks
    2
    Thanked 1 Time in 1 Post
    Qt products
    Qt4

    Default Re: Qt 4.7 installation problems

    Please read the documentation here:
    https://doc.qt.io/archives/qt-4.7/install-x11.html

    Did you follow the steps as mentioned there?
    Does the qmake exist at the given location?

  3. The following user says thank you to ednakram for this useful post:

    UrATowelie (27th September 2017)

  4. #3
    Join Date
    Sep 2017
    Posts
    7
    Thanks
    2
    Qt products
    Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows

    Default Re: Qt 4.7 installation problems

    I did, and still coundnt find. But heres the thing, i'm tring to install Qt with ARM v6 and my supervisor said that it would be better if i follow all the things that come with the product manual (because its chinese); as i had trouble installing Qt 4.7, do you think it would give me problems if i try to install this cross-compiler with Qt 5? I really appreciate the help bro.

  5. #4
    Join Date
    Jan 2008
    Location
    Alameda, CA, USA
    Posts
    5,017
    Thanks
    280
    Thanked 816 Times in 805 Posts
    Qt products
    Qt5
    Platforms
    Windows Android

    Default Re: Qt 4.7 installation problems

    do you think it would give me problems if i try to install this cross-compiler with Qt 5?
    If you are cross-compiling, it does not really matter what IDE you use on the host platform for developing your code. What is important is that the cross-compile toolchain supports the run-time libraries you will be using on the target platform. If your target platform uses Qt 4.7, then you should install a cross-compile toolchain that will build against Qt 4.7 include files and libraries.
    <=== The Great Pumpkin says ===>
    Please use CODE tags when posting source code so it is more readable. Click "Go Advanced" and then the "#" icon to insert the tags. Paste your code between them.

  6. The following user says thank you to d_stranz for this useful post:

    UrATowelie (29th September 2017)

  7. #5
    Join Date
    Sep 2017
    Posts
    7
    Thanks
    2
    Qt products
    Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows

    Default Re: Qt 4.7 installation problems

    Quote Originally Posted by d_stranz View Post
    If you are cross-compiling, it does not really matter what IDE you use on the host platform for developing your code. What is important is that the cross-compile toolchain supports the run-time libraries you will be using on the target platform. If your target platform uses Qt 4.7, then you should install a cross-compile toolchain that will build against Qt 4.7 include files and libraries.
    Yeah, ill try it, but i do admite that it gave me headache. But i really do appreciate bro! What makes it so hard is that its not a "automatic" plataform as raspberry and the developers didnt explain a lot on manual..

  8. #6
    Join Date
    Jan 2008
    Location
    Alameda, CA, USA
    Posts
    5,017
    Thanks
    280
    Thanked 816 Times in 805 Posts
    Qt products
    Qt5
    Platforms
    Windows Android

    Default Re: Qt 4.7 installation problems

    That's why they call it the "bleeding edge". They don't explain that it means it is -you- who is bleeding... :-)
    <=== The Great Pumpkin says ===>
    Please use CODE tags when posting source code so it is more readable. Click "Go Advanced" and then the "#" icon to insert the tags. Paste your code between them.

Similar Threads

  1. Installation problems of QWT on Windows 8 Machine
    By Saptarshi in forum Installation and Deployment
    Replies: 0
    Last Post: 20th December 2014, 04:29
  2. qextserialport installation problems
    By vani.pv in forum Newbie
    Replies: 1
    Last Post: 21st September 2012, 17:51
  3. Installation problems
    By Perduta in forum Newbie
    Replies: 6
    Last Post: 22nd April 2012, 19:09
  4. Installation problem : Qt4.6.1 problems when using nmake
    By euro_geek in forum Installation and Deployment
    Replies: 0
    Last Post: 10th June 2010, 22:03
  5. Qt 4.5 Installation problems
    By FatTail in forum Installation and Deployment
    Replies: 8
    Last Post: 12th March 2009, 02:33

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.